<?php
class cUnidad{
	function insertar($abr,$nom, $tip,$fac){
	$sql = "INSERT tb_unidad (
		`tb_unidad_abr`,
		`tb_unidad_nom`,
		`tb_unidad_tip`,
		`tb_unidad_xac`,
		`tb_unidad_fac`
		)
		VALUES (
		 '$abr', '$nom', '$tip','1','$fac');"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function ultimoInsert(){
	$sql = "select MAX(tb_unidad_id) as 'id' from tb_unidad"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function mostrarTodos(){
	$sql="SELECT * 
	FROM tb_unidad
	   WHERE tb_unidad_xac='1'
	ORDER BY tb_unidad_tip, tb_unidad_abr";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function mostrar_tipo(){
	$sql="SELECT tb_unidad_tip 
	FROM tb_unidad
	GROUP BY tb_unidad_tip";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function mostrar_por_tipo($tip){
	$sql="SELECT * 
	FROM tb_unidad
	WHERE tb_unidad_tip=$tip
	    and tb_unidad_xac='1'
	ORDER BY tb_unidad_id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function mostrarUno($id){
	$sql="SELECT * 
	FROM tb_unidad
	WHERE tb_unidad_id=$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function modificar($id,$abr,$nom,$tip,$fac){ 
	$sql = "UPDATE tb_unidad SET  
	`tb_unidad_abr` =  '$abr',
	`tb_unidad_nom` =  '$nom',
	`tb_unidad_tip` =  '$tip',
	`tb_unidad_fac` =  '$fac'
	WHERE  tb_unidad_id =$id;"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function verifica_unidad_tabla($id,$tabla,$atributo){
	$sql = "SELECT * 
		FROM  $tabla 
		WHERE $atributo=$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_unidad SET
			`tb_unidad_$campo` =  '$valor' 
			WHERE tb_unidad_id ='$id';"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function comprobar_si_existe($nom){
		$sql="SELECT * 
			FROM tb_unidad
			WHERE tb_unidad_nom='$nom'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function eliminar($id){
	$sql="DELETE FROM tb_unidad WHERE tb_unidad_id=$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
}
?>